#include "CBody_shot.hpp"
#include "CSystem.hpp"

#include <assert.h>

// definice statickych clenu
// grafika
SDL_Surface *CBody_shot::sVzhled_up = NULL;
SDL_Surface *CBody_shot::sVzhled_down = NULL;
// zvuky
Mix_Chunk *CBody_shot::sVybuch = NULL;


//---------------------------------------------------------------------

CBody_shot::CBody_shot() 
{
	// jestlize je prvni sveho druhu inicializuje tridove prvky
	if (sVzhled_up == NULL) {
		sVzhled_up = CSystem::loadImage("body/shot_up.bmp");
		sVzhled_down = CSystem::loadImage("body/shot_down.bmp");
		sVybuch = CSystem::loadWav("body/shot.wav");

		assert(sVzhled_up->w == sVzhled_down->w && sVzhled_up->h == sVzhled_down->h);
	}
	mInitPower = sPower;
	mPower = mInitPower;
	
	mVzhled_up = sVzhled_up;
	mVzhled_down = sVzhled_down;
	initRozmery();
}

/*
*  vraci true jestli neprezil
*/  
bool
CBody_shot::crash(int power)
{
	// prechrani zvuku vybuchu
	// -1 ... na volny channel
	// phaser ... Mix_Chunk
	// 0 ... bez opakovani
	Mix_PlayChannel(-1, sVybuch, 0);
	return true;
}


