#include "CBody_stihacka.hpp"
#include "CSystem.hpp"

#include <assert.h>

// definice statickych clenu
SDL_Surface *CBody_stihacka::sVzhled_up = NULL;
SDL_Surface *CBody_stihacka::sVzhled_down = NULL;

//---------------------------------------------------------------------
CBody_stihacka::CBody_stihacka() 
{
	if (sVzhled_up == NULL) {
		sVzhled_up = CSystem::loadImage("body/stihacka_up.bmp");
		sVzhled_down = CSystem::loadImage("body/stihacka_down.bmp");

		assert(sVzhled_up->w == sVzhled_down->w && sVzhled_up->h == sVzhled_down->h);		
	}
	mInitPower = sPower;
	mPower = mInitPower;
	mLastRecovery = 0;

	mVzhled_up = sVzhled_up;
	mVzhled_down = sVzhled_down;
	initRozmery();
}


void 
CBody_stihacka::recovery(double deltaTime) 
{
	mLastRecovery += deltaTime;
	if (mLastRecovery > sZotaveni) {
		mPower++;
		if (mPower > mInitPower) {
			mPower = mInitPower;
		}
		mLastRecovery = 0;
	}
}
		
