/*
* class CCarrier
* nosic zbrani
*/

#ifndef CCARRIER_HPP
#define CCARRIER_HPP

#include "CWeapon.hpp"
#include <list>

typedef std::list<class CWeapon *> store_t; 

class CCarrier {	
	static const double sRoztec;
	
	// sklad zbrani
	store_t mSklad;
	// mNalevo je  prepocitana x-ova souradnice zbrane nejvice vlevo
	double mNalevo;

	public:	
	CCarrier() : mSklad() {
		mNalevo = 0;
	}
	~CCarrier();
	
	fleet_t *shot(CXY *ship, Uint32 ticks, CXY *target);
	void draw(SDL_Surface *surface, double x, double y);
	void addWeapon(CWeapon *weapon);
	void addSklad(CCarrier *sklad, bool up);
};

	
#endif
/* eof */
