#include "CDrawable.hpp"

#include <assert.h>

/*
* inicializace ktera je pro vsechny porad stejna
 */
	void 	
CDrawable::initRozmery()
{
	// predpocitame	polovicni rozmery	
	mPulW = mVzhled_up->w / 2;
	mPulH = mVzhled_up->h / 2;
}

/*
* obdrzene souradnice jsou souradnice stredu lode
 */
	void
CDrawable::draw(SDL_Surface *surface, double x, double y)
{
	SDL_Rect rect;
	rect.x = static_cast<int>(x) - mPulW;
	rect.y = static_cast<int>(y) - mPulH;

	if (mUp) {
		assert(mVzhled_up != NULL);
		SDL_BlitSurface(mVzhled_up, NULL, surface, &rect);
	} else {
		assert(mVzhled_down != NULL);
		SDL_BlitSurface(mVzhled_down, NULL, surface, &rect);
	}
}

