#include "CMove_keyboard.hpp"

	bool
CMove_keyboard::move(CShip *ship, Uint8 *keys, double deltaTime, CXY *target)
{
	double deltaX = 0;
   	double deltaY = 0;

	if (keys[mOvladani_move.mDown]) {
		deltaY += mVelY * deltaTime;
	}
	if (keys[mOvladani_move.mUp]) {
		deltaY -= mVelY * deltaTime;
	}
	if (keys[mOvladani_move.mLeft]) {
		deltaX -= mVelX * deltaTime;
	}
	if (keys[mOvladani_move.mRight]) {
		deltaX += mVelX * deltaTime;
	}
	
	// osetrit zastaveni se o okraje herni plochy
	double x = ship->getX() + deltaX;
	double y = ship->getY() + deltaY;
	int pulW = ship->getPulW();
	int pulH = ship->getPulH();
	

	if (x - pulW < 0) { x = pulW; }
	if (y - pulH < 0) { y = pulH; }
	if (x + pulW > sPlochaWidth) { x = sPlochaWidth - pulW; }
	if (y + pulH > sPlochaHeight) { y = sPlochaHeight - pulH; }
	
	// pripocteme deltaX a deltaY a puvodnim
	ship->setXY(x, y);	

	// nevyletnul z plochy
	return false;
}
