#include "CMove_linear.hpp"

    bool 
CMove_linear::move(CShip *ship, Uint8 *keys, double deltaTime, CXY *target)
{
    // pripocteme deltaX a deltaY a puvodnim
	double x = ship->getX() + mVelX * deltaTime;
	double y = ship->getY() + mVelY * deltaTime;

    ship->setXY(x, y);	

    // jesli vylitnul z obrazovky a uz se nemuze vratit
    // 	pozn. herni plocha je cela obrazovka, jinak byse sem nesmeli psat '0' ale sirka okraje

	// takto kdyz vyleti ve smeru sve rychlosti tak chcipne (tzv. jeste ale
	// stiha strilet kdyz je na krajicku, a ty strely i kdyz jsou mimo tak
	// nechcipnou, protoze leti smerem do plochy
	if (((mVelY > 0 && y - ship->getPulH() > sPlochaHeight) || (mVelY < 0 && y + ship->getPulH() < 0)) ||
   	    	((mVelX > 0 && x - ship->getPulW() > sPlochaWidth) || (mVelX < 0 && x + ship->getPulW() < 0))) {
        return true;
    }

    return false;
}
