/*
* class CWeapon
* abstraktni nefunkcni pusticka
 */
#ifndef CWEAPON_HPP
#define CWEAPON_HPP

#include "CDrawable.hpp"
#include "CXY.hpp"

#include "SDL.h"
#include <list>

// std::list ... oboustranne zretezeny seznam
typedef std::list<class CShip *> fleet_t;

class CWeapon : public CDrawable {
	public:
		virtual fleet_t *shot(double x, double y, Uint32 ticks, CXY *target) = 0;		
		// virutalni destructor
		virtual ~CWeapon() {};	
};	

#endif
/* eof */
