/*
* class CDrawbale
* trida pro kreslitelne potomky
 */

#ifndef CDRAWABLE_HPP
#define CDRAWABLE_HPP

#include "SDL.h"

class CDrawable {
	protected:
		// ukazatele jenz se inicializuji
		// na obrazky konkretnich lodi
		SDL_Surface *mVzhled_up;
		SDL_Surface *mVzhled_down;
		// zda leti nahoru
		bool mUp;
		// predpocitane polovicni rozmery
		int mPulW;
		int mPulH;	
	public:
		// nastavi mPulW a mPulH
		void initRozmery();
		void draw(SDL_Surface *surface, double x, double y);
		int getPulW() { return mPulW; }; 
		int getPulH() { return mPulH; }; 
		
		// zmeneni orientace
		void changeUp(bool up) { mUp = up; }		
};

#endif
/* eof */
