/*
* class CGame
* rizeni spravneho prubehu hry
 */

#ifndef CGAME_HPP
#define CGAME_HPP

#include "CShip.hpp"
#include "CMove_keyboard.hpp"
#include "CFire_keyboard.hpp"

#include "SDL.h"

class CGame {
	// za kolik sekund pribude na zacatku dalsi lod (postune rychleji)
	static const double sTimeAdd = 2;
	// na kolik procent se bude stale snizovat mTimeAdd (doba nez prileti dalsi)
	static const double sZhustovani = 0.99;

	
	// kolik uz ubehlo sekund od posledniho pridani
	double mLastAdd;
	// kolik uz ubehlo sekund od posledniho zvyseni obtiznosti
	double mLastHard;
	// snizujici se sTimeAdd;
	double mTimeAdd;
	// dynamicke pole lodi
	fleet_t mFlotila;
	// tiky kdy probehlo posledni kolo
	Uint32 mLastTime;
	// vhodne cile
	// mTarget_up obsahuje souradnice cile ktery miri vzhuru
	// mTarget_down toho klesa
	CXY *mTarget_up;
	CXY *mTarget_down;

	void setTarget();
	double getDeltaTime();
	void bouracky();
	fleet_t::iterator vnitrni(fleet_t::iterator i);
	int crash(CShip *i, CShip *j);

	void rozvrh(double deltaTime);
	void addShip(bool up);
	public:
	CGame();
	~CGame();
	void round(Uint8 *keys);
	void draw(SDL_Surface *surface);

	// prida hrace se zadanym ovladanim
	void addPlayer(const COvladani_move &keyMove, const COvladani_fire &keyFire);
};

#endif
/* eof */	
