/*
* class CMove_keyboard
* let ovladany klavesnici
 */
#ifndef CMOVE_KEYBORD_HPP
#define CMOVE_KEYBORD_HPP

#include "CMove.hpp"

// pozor! vlivem nedokonalosti klavesnice
// dochazi k blokovani klavesnice (napr. down+left+CTRL )
struct COvladani_move {
	SDLKey mDown, mUp, mLeft, mRight;
};

class CMove_keyboard : public CMove {
	double mVelX, mVelY;
	COvladani_move mOvladani_move;

	public:	
	// "vel" jako velocity (rychlost)
	CMove_keyboard(double velX, double velY, const COvladani_move &ovladani_move) : mOvladani_move(ovladani_move) {
		mVelX = velX;
		mVelY = velY;		
	}		

	virtual bool move(CShip *ship, Uint8 *keys, double deltaTime, CXY *target);

};	

#endif
/* eof */
