#include "CMove_magnet.hpp"

    bool 
CMove_magnet::move(CShip *ship, Uint8 *keys, double deltaTime, CXY *target) 
{
	double magnet_x = 0;
	double magnet_y;
	// vypocteme vektor pro pohyb
	if ( (target != NULL) && 
			((mVelY <= 0 && target->getY() <= ship->getY()) ||
			 (mVelY > 0 && target->getY() > ship->getY())) ) {            

		if (target->getX() - ship->getX() > 0) {
			magnet_x = +mVelX;
		} else {
			magnet_x = -mVelX;
		}   
		magnet_x *= deltaTime;
	}
	magnet_y = mVelY * deltaTime;

	ship->setXY(magnet_x + ship->getX(), magnet_y + ship->getY());	

	// jesli vylitnul z obrazovky a uz se nemuze vratit
	// 	pozn. herni plocha je cela obrazovka, jinak byse sem nesmeli psat '0' ale sirka okraje
	if ((mVelY > 0 && ship->getY() - ship->getPulH() > sPlochaHeight) || (mVelY < 0 && ship->getY() + ship->getPulH() < 0)) {
		return true;
	}			

	return false;
}

