#include "CMove_random.hpp"

#include "CSystem.hpp"

	bool 
CMove_random::move(CShip *ship, Uint8 *keys, double deltaTime, CXY *target) 
{
	double x;
	double y;
		
	mLastSouvisle += deltaTime;
	if (mLastSouvisle >= sSouvisle) {
		mLastVelX = mVelX * (10 - CSystem::random(20)) / 5.0; 		
		mLastSouvisle = 0;
	}
	x = mLastVelX * deltaTime;
	y = mVelY * deltaTime;	

	ship->setXY(x + ship->getX(), y + ship->getY());	

	// jesli vylitnul z obrazovky a uz se nemuze vratit
	// 	pozn. herni plocha je cela obrazovka, jinak byse sem nesmeli psat '0' ale sirka okraje
	if (((mVelY > 0 && ship->getY() - ship->getPulH() > sPlochaHeight) || (mVelY < 0 && ship->getY() + ship->getPulH() < 0)) ||
			((ship->getX() - ship->getPulW() >= sPlochaWidth) || (ship->getX() + ship->getPulW() <= 0))) {
		return true;
	}			

	return false;
}

